package com.telephoners.krakyournet.ctf.beans;

import org.ektorp.support.CouchDbDocument;

//todo: implement principal
public class User extends CouchDbDocument
{
    private String name;
    private String password;
    private String email;
    private boolean admin = false;
    private String teamId; //todo: better references

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getEmail()
    {
        return email;
    }

    public void setEmail(String email)
    {
        this.email = email;
    }

    public boolean isAdmin()
    {
        return admin;
    }

    public void setAdmin(boolean admin)
    {
        this.admin = admin;
    }

    public String getTeamId()
    {
        return teamId;
    }

    public void setTeamId(String teamId)
    {
        this.teamId = teamId;
    }
}
